FROM openshift/golang-builder:rhel_8_golang_1.15 AS builder
ENV __doozer=update BUILD_RELEASE=202106010807.p0.git.97081b3 BUILD_VERSION=v4.6.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=6 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.6.0-202106010807.p0.git.97081b3 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge KUBE_GIT_COMMIT=97081b3d361d13c2c383691db90d335c16967e9d KUBE_GIT_MAJOR=1 KUBE_GIT_MINOR=18+ KUBE_GIT_TREE_STATE=clean KUBE_GIT_VERSION=v1.18.0+97081b3 OS_GIT_COMMIT=97081b3 OS_GIT_VERSION=4.6.0-202106010807.p0.git.97081b3-97081b3 SOURCE_DATE_EPOCH=1613678614 SOURCE_GIT_COMMIT=97081b3d361d13c2c383691db90d335c16967e9d SOURCE_GIT_TAG=97081b3 SOURCE_GIT_URL=https://github.com/openshift/ptp-operator 
WORKDIR /go/src/github.com/openshift/ptp-operator
COPY . .
ENV GO111MODULE=off
RUN make

FROM openshift/ose-base:v4.6.0-202105290217.p0.git.618b71d
ENV __doozer=update BUILD_RELEASE=202106010807.p0.git.97081b3 BUILD_VERSION=v4.6.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=6 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.6.0-202106010807.p0.git.97081b3 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge KUBE_GIT_COMMIT=97081b3d361d13c2c383691db90d335c16967e9d KUBE_GIT_MAJOR=1 KUBE_GIT_MINOR=18+ KUBE_GIT_TREE_STATE=clean KUBE_GIT_VERSION=v1.18.0+97081b3 OS_GIT_COMMIT=97081b3 OS_GIT_VERSION=4.6.0-202106010807.p0.git.97081b3-97081b3 SOURCE_DATE_EPOCH=1613678614 SOURCE_GIT_COMMIT=97081b3d361d13c2c383691db90d335c16967e9d SOURCE_GIT_TAG=97081b3 SOURCE_GIT_URL=https://github.com/openshift/ptp-operator 
COPY --from=builder /go/src/github.com/openshift/ptp-operator/build/_output/bin/ptp-operator /usr/local/bin/
COPY --from=builder /go/src/github.com/openshift/ptp-operator/manifests /manifests
COPY bindata /bindata


ENTRYPOINT ["/usr/local/bin/ptp-operator"]

LABEL \
        io.k8s.display-name="OpenShift ptp-operator" \
        io.k8s.description="This is a component that manages cluster PTP configuration." \
        io.openshift.tags="openshift,ptp" \
        com.redhat.delivery.appregistry="False" \
        maintainer="Multus Team <multus-dev@redhat.com>" \
        name="openshift/ose-ptp-operator" \
        com.redhat.component="ose-ptp-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Networking" \
        io.openshift.maintainer.subcomponent="ptp" \
        release="202106010807.p0.git.97081b3" \
        io.openshift.build.commit.id="97081b3d361d13c2c383691db90d335c16967e9d" \
        io.openshift.build.source-location="https://github.com/openshift/ptp-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/ptp-operator/commit/97081b3d361d13c2c383691db90d335c16967e9d" \
        version="v4.6.0"

